Skip to main content
GET
/
v1
/
podcasts
/
segments
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/segments?limit=25"
{
  "data": [
    {
      "duration_seconds": 123,
      "end_seconds": 123,
      "id": "<string>",
      "number": 123,
      "start_seconds": 123,
      "title": "<string>",
      "type": "<string>",
      "audio_url": "<string>",
      "description": "<string>",
      "episode": {
        "id": "<string>",
        "title": "<string>",
        "podcast": {
          "id": "<string>",
          "title": "<string>",
          "image_url": "<string>",
          "slug": "<string>"
        },
        "published_at": "2023-11-07T05:31:56Z",
        "slug": "<string>"
      },
      "read_type": "<string>",
      "summary": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

episode_id
string

Filter to a specific episode by slug or ID. At least one of episode_id, podcast_id, or type is required.

podcast_id
string

Podcast slug (e.g., 'all-in'), internal ID, or numeric iTunes ID. At least one of episode_id, podcast_id, or type is required.

type
string

Segment type filter: INTRO, PERSONAL_BANTER, TOPIC_DISCUSSION, INTERVIEW, TRANSITION, AD, OUTRO. At least one of episode_id, podcast_id, or type is required.

since
string

Only include segments from episodes published on or after this ISO 8601 date or date-time

Example:

"2025-01-01T00:00:00Z"

until
string

Only include segments from episodes published before this ISO 8601 date or date-time

Example:

"2026-01-01T00:00:00Z"

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results